Bug 75905 - Keyboard cut/paste ceases working
Keyboard cut/paste ceases working
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2002-10-14 15:41 EDT by Pete Zaitcev
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-09 13:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2002-10-14 15:41:08 EDT
Description of Problem:

After a while, keyboard driven cut and paste simply stop working.
Menu driven cut and paste continue to work.

Version-Release number of selected component (if applicable):


How Reproducible:

Floating bug, not easily reproducible. You have to work in default
setting for 10-15 minutes before it fails. Using clipboard to
transfer data to/from diffirect applications seem to trip it
sooner, but no guarantees. Happens to me every hour or so.

Steps to Reproduce:
0. All GNOME settings are default (including Windows-style focus).
1. Just work as usual. Eventually <Shift><Control><C> and
   <Shift><Control><V> stop working.

Actual Results:

<Shift><Control><C> stop working.

Expected Results:

Everything continuing to work as usual.

Additional Information:
Try to do both <Control><Shift><C> and <Shift><Conftol><C>.

If selection pasting worked, it would not be that big a deal.
But as it is, the stupid terminal is barely useable.
Comment 1 Havoc Pennington 2002-10-14 18:06:50 EDT
I have zero theories on this one.
Comment 2 Pete Zaitcev 2002-10-22 17:16:48 EDT
This seems to happen after the selection was taken with double-click
(not every time, of course). I cannot be sure, but it appears never
to be a problem if selection was taken with down-drag-up. Also, my
laptop has a touchpad, so double-click is virtually guaranteed not
to have a pointer movement between clicks. Hope this helps.
Comment 3 Mike Gahagan 2002-10-30 23:30:50 EST
I have found more cut and paste weirdness..... mostly intermitent, see below.

1.) copying/pasting between multiple gnome-terminal windows using just the mouse
rarely works. There are times when it will work consistantly, most of time it
does not work at all.

2.) copying/pasting in the same window w/ just the mouse works only about 75% of
the time. I have seen this on several machines and I don't have this problem
with  other apps so I don't think its unintended mouse movement between clicks.

3.) copy/paste between tabs is the same as #2

I almost always use the mouse for copy/paste operations in X apps. I have
noticed it never works 100% of the time. Perhaps it is just a bit too sensitive
 to mouse movement between clicks. Gnome-terminal in 8.0 seems to have the most
problems with this. On the occations I use the keyboard cut/paste, I have
noticed similar behavior to what is described above.

I am willing to rebuild gnome-terminal and attach gdb to it and use it for a
while if you think that will help. :)
Comment 4 Havoc Pennington 2002-10-31 00:01:58 EST
For problems when using the mouse, my guess is you're just seeing the bug where
clicking a terminal will unselect any existing selections, even if you don't
Comment 5 Havoc Pennington 2003-01-08 00:56:00 EST
I would predict fixed in newer vte, as many things have been fixed up. 
But could use verification.
Comment 6 Pete Zaitcev 2003-02-07 23:31:55 EST
Broken copying after double-click is definitely fixed in 0.10.10-1 (Phoebe2).
Intermittent copying did not occur so far either. From my side, this can be
closed. Mike?
Comment 7 Ray Strode [halfline] 2004-11-09 13:23:21 EST

Note You need to log in before you can comment on or make changes to this bug.